Buildroot: %{_builddir}/%{name}-root
Name: canl-java-javadoc
Version: 1.1.0
Release: 1.sl5
Summary: EMI Common Authentication library: API documentation for Java
License: BSD
Distribution: RedHat
Group: Documentation
URL: http://www.eu-emi.eu/
BuildArch: noarch
Packager: Krzysztof Benedyczak golbi@icm.edu.pl
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : canl-java-javadoc-1.1.0-1.src.tar.gz

%description
This is the API Javadoc documentation for the Java part of the EMI caNl -- 
the Common Authentication Library providing support for
X.509 PKI based authentication. 

%changelog
* Thu Jan 13 2012 Krzysztof Benedyczak <golbi at icm.edu.pl>
- Initial packaging.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.1.0 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package-javadoc -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

%docdir "usr/share/javadoc/canl-java-1.1.0"
"/usr/share/javadoc/canl-java-1.1.0/*"




